明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1343|回复: 5

这个程序怎么了?

[复制链接]
发表于 2003-12-29 11:17:00 | 显示全部楼层 |阅读模式
Sub Ch4_AddToASelectionSet()
' 创建新的选择集
Dim sset As AcadSelectionSet
Set sset = ThisDrawing.SelectionSets.Add("SS1")

' 提示用户选择对象并将它们添加到选择集中。
' 要完成选择,按回车。
sset.SelectOnScreen

' 在选择集中循环并将每一对象的颜色改为蓝色。
Dim entry As AcadEntity
For Each entry In sset
entry.Color = acBlue
entry.Update
Next entry
End Sub
-------------------------------------------------------------------------------------------------------------------
调试时总出现错误   实时错误‘--2147467259(80004005)’:方法‘Add作用于对象IAcadselectonsets’时失败。请教各位,谢谢!
发表于 2003-12-29 11:21:00 | 显示全部楼层
  1. Sub Ch4_AddToASelectionSet()
  2. ' 创建新的选择集
  3. Dim sset As AcadSelectionSet
  4. On Error Resume Next
  5. Set sset = ThisDrawing.SelectionSets("SS1")
  6. If Err Then
  7. Err.Clear
  8. Set sset = ThisDrawing.SelectionSets.Add("SS1")
  9. End If
  10. sset.clear
  11. ' 提示用户选择对象并将它们添加到选择集中。
  12. ' 要完成选择,按回车。
  13. sset.SelectOnScreen

  14. ' 在选择集中循环并将每一对象的颜色改为蓝色。
  15. Dim entry As AcadEntity
  16. For Each entry In sset
  17. entry.Color = acBlue
  18. entry.Update
  19. Next entry
  20. End Sub



 楼主| 发表于 2003-12-29 11:48:00 | 显示全部楼层
谢谢楼上,为什么这样改?
发表于 2003-12-29 12:15:00 | 显示全部楼层
因为你第一次运行Set sset = ThisDrawing.SelectionSets.Add("SS1")的时候,名为SS1的选择集就已经存在了,第二次运行Set sset = ThisDrawing.SelectionSets.Add("SS1"),由于SS1已经存在,所以不能再创建一个相同名字的选择集
 楼主| 发表于 2003-12-29 19:48:00 | 显示全部楼层
thanks!
发表于 2004-1-3 16:49:00 | 显示全部楼层
高手太多,一点发言的机会都没有。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 10:49 , Processed in 0.189663 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表